.container {
  padding-inline: 2rem;
}

.m-section-nav__wrapper {
  display: grid;
  grid-template-columns: 26.3% 18.5% 18.5% 14.8% 21.4%;
  padding-inline: 2.75rem;
}

.m-Jobfile-hdg {
  background-color: var(--color-white);
  color: var(--color-black);
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: 0.1em;
  padding: 1.7rem 2rem;
}

.m-Jobfile-txt {
  color: var(--color-black);
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.6rem;
  letter-spacing: 0.1em;
  line-height: 2;
  margin-top: 6rem;
}

@media screen and (max-width: 1024px) {
  .m-section-nav__wrapper {
    display: flex;
    flex-wrap: wrap;
  }

  .m-section-nav__wrapper li {
    width: calc(100% / 3);
  }
}

@media screen and (max-width: 900px) {
  .m-section-nav {
    margin-top: 1.8rem;
  }

  .m-section-nav__wrapper {
    flex-wrap: wrap;
    padding-inline: 0;
  }

  .m-section-nav__wrapper li {
    padding: 0 1.9rem;
    width: 100%;
  }

  .m-section-nav__link {
    padding-block: 1.9rem;
    width: 100%;
  }

  .m-section-nav__link.a-has-arrow.with-circle {
    display: flex;
    justify-content: flex-start;
    padding-left: 1.9rem;
  }

  .m-section-nav__wrapper li:not(:first-child)::before {
    background-color: var(--color-white5);
    content: "";
    display: inline-block;
    height: 1px;
    left: 50%;
    position: absolute;
    top: 0;
    transform: translateX(-50%);
    width: calc(100% - 4rem);
  }

  .m-section-nav__link.a-has-arrow.with-circle::before, .m-section-nav__link.a-has-arrow.with-circle::after {
    right: 2.6rem;
  }
}

/* 職種紹介 */
.m-Job {
  background-color: #b0b0b0;
  padding-block: 10rem;
}

.m-Job-section {
  margin-top: 6rem;
}

.m-Job-sub-hdg {
  background: var(--color-black);
  color: var(--color-white);
  font-size: 2.4rem;
  font-weight: 700;
  letter-spacing: 0.1em;
  padding: 1rem;
  padding: 1.8rem 2rem;
  width: fit-content;
}

.m-Job-content {
  background-color: var(--color-white);
  border-left: 0.2rem solid var(--color-black);
  border-top: 0.2rem solid var(--color-black);
  display: grid;
  gap: 3rem;
  grid-template-columns: repeat(3,1fr);
  padding: 5.8rem 6rem;
}

.m-Job-item__head {
  border-block: 0.1rem solid var(--color-black);
  min-height: 6.019rem;
  padding: 1.2rem 2rem;
}

.m-Job-item__head:not(:has(.m-Job-item__department)) {
  align-items: center;
  display: flex;
}

.m-Job-item__hdg {
  color: var(--color-black);
  font-size: 2rem;
  font-weight: 700;
  line-height: 1.5;
}

.m-Job-item__department {
  color: var(--color-black);
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.8;
  margin-top: 0.5rem;
}

.m-Job-item__img img {
  filter: grayscale(1);
  transition: 0.3s;
}

.m-Job-item__txtarea {
  background-color: var(--color-black);
  padding: 2.2rem 3rem 3rem;
}

.m-Job-item__txt {
  color: var(--color-white);
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.4rem;
  line-height: 1.8;
}

.m-Job-item__btn {
  align-items: center;
  border: 0.1rem solid var(--color-white);
  border-radius: 10rem;
  color: var(--color-white);
  display: flex;
  font-size: 1.6rem;
  gap: 1.6rem;
  justify-content: center;
  margin: 2.4rem auto 0;
  padding: 0.8rem 1.6rem;
  width: fit-content;
}

.m-Job-item__btn::after {
  aspect-ratio: 15 / 19;
  background-image: url(/recruit/resource/img/icn_arrow.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: inline-block;
  transform: rotate(-90deg);
  transition: transform 1s;
  width: 1.4rem;
}

@media (hover: hover) {
  .m-Job-item__link:hover .m-Job-item__img img {
    filter: grayscale(0);
  }

  .m-Job-item__link:hover .m-Job-item__btn::after {
    transform: rotate(-90deg) rotateY(360deg);
  }
}

@media screen and (max-width: 900px) {
  .m-Job-content {
    gap: 2rem;
    padding-inline: 2rem;
  }

  .m-Job-item__txtarea {
    padding-inline: 2rem;
  }
}

@media screen and (max-width: 767px) {
  .m-Job {
    padding-block: 6rem;
  }

  .m-Job-content {
    gap: 2rem;
    grid-template-columns: 1fr;
    padding: 2.8rem 3rem;
  }

  .m-Jobfile-hdg {
    font-size: 2rem;
    padding-block: 1.5rem;
  }

  .m-Jobfile-txt {
    font-size: 1.4rem;
    margin-top: 3rem;
  }

  .m-Job-section {
    margin-top: 4rem;
  }

  .m-Job-section:nth-of-type(1) {
    margin-top: 3.2rem;
  }

  .m-Job-item__head {
    padding-bottom: 0.6rem;
  }

  .m-Job-sub-hdg {
    font-size: 2rem;
    padding: 1.8rem 2rem;
  }

  .m-Job-item__hdg {
    font-size: 1.8rem;
  }

  .m-Job-item__department {
    font-size: 1.4rem;
  }

  .m-Job-item__txtarea {
    padding-inline: 2rem;
  }
}

/* 部門紹介 */
.m-department {
  padding-block: 10rem 7.5rem;
}

.m-department-list {
  display: grid;
  gap: 3rem;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  margin-top: 6rem;
}

.m-department-list__hdg {
  background-color: var(--color-white);
  color: var(--color-black);
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.5;
  padding: 2.55rem 2rem;
}

.m-department-list__txt {
  border-bottom: 0.1rem solid var(--color-white5);
  color: var(--color-white);
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.4rem;
  line-height: 1.8;
  padding: 2.4rem 3rem 2rem;
}

@media screen and (max-width: 767px) {
  .m-department {
    padding-block: 6rem;
  }

  .m-department-list {
    gap: 2rem;
    margin-top: 4rem;
  }

  .m-department-list__hdg {
    font-size: 1.6rem;
    padding-block: 0.8rem;
  }

  .m-department-list__txt {
    padding: 2.3rem 1.5rem 2rem;
  }
}


/* gallery */
.m-gallery {
  overflow-x: hidden;
  padding-block: 12.5rem 4rem;
  position: relative;
}

.m-gallery::before {
  aspect-ratio: 633 /300;
  background-image: url(/recruit/jobfile/resource/img/bg_gallery_title.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  height: 30rem;
  position: absolute;
  right: clamp(-5rem, calc(3.5rem - 72rem + 50vw), 3.5rem);
  top: 0;
  z-index: -1;
}

.m-gallery-hdg {
  font-size: 4.8rem;
  font-weight: 700;
  letter-spacing: 0.1em;
  text-align: center;
}

.m-gallery-list-wrap {
  display: grid;
  gap: 3rem;
  margin-top: 7.5rem;
  overflow: hidden;
}

.m-gallery-list {
  display: flex;
}

.m-gallery-list__item {
  flex-shrink: 0;
}

.m-gallery-list__item img {
  display: block;
  height: 30rem;
  width: 40rem;
}

.m-gallery-list__item--double  img {
  height: 15rem;
  width: 20rem;
}

.m-gallery-list__item-label {
  align-items: center;
  aspect-ratio: 200 / 150;
  background-color: var(--color-black);
  color: var(--color-white);
  display: flex;
  font-size: 2rem;
  font-weight: 700;
  justify-content: center;
}

@media screen and (max-width: 767px) {
  .m-gallery {
    padding-block: 4rem 2rem;
  }

  .m-gallery::before {
    background-image: url(/recruit/jobfile/resource/img/bg_gallery_title_sp.png);
    height: 14rem;
    right: -4rem;
  }

  .m-gallery-hdg {
    font-size: 2rem;
    line-height: 1.6;
    padding-left: 3rem;
    text-align: start;
  }

  .m-gallery-list-wrap {
    gap: 2rem;
    margin-top: 2rem;
  }

  .m-gallery-list__item img {
    height: 15rem;
    width: 20rem;
  }

  .m-gallery-list__item--double  img {
    height: 7.5rem;
    width: 10rem;
  }
}
